- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    comment: looks good, approving 25%
    created: '2024-04-16T13:17:47.643392Z'
    creator:
      email: jstermac@mozilla.com
      first_name: Jon
      id: 66
      last_name: Stermac
    id: 3078
  approved_revision_id: 4258
  arguments:
    engagementButtonLabel: Zur Umfrage
    includeTelemetryUUID: true
    learnMoreMessage: Mehr darüber Erfahren
    learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
    message: Hilf uns mit Deinem Feedback Firefox noch besser zu machen.
    postAnswerUrl: https://qsurvey.mozilla.com/s3/nus-de-de
    repeatOption: once
    surveyId: new-user-survey-de-de
    thanksMessage: Dankeschön
  capabilities:
  - action.show-heartbeat
  - jexl.transform.bucketSample
  enabled: true
  filter_expression: '(normandy.channel in ["release"]) && (normandy.country in ["DE"])
    && (normandy.locale in ["de"]) && (["new-user-survey-q1-2024",normandy.userId]|bucketSample(0,2500,10000))
    && (!normandy.firstRun

    && !normandy.telemetry.main)'
  id: 1390
  identicon_seed: v1:mudjtZmeQBDS
  is_approved: true
  last_updated: '2024-04-16T16:10:42.450930Z'
  latest_revision_id: 4258
  name: 'HB: New User Entry Survey - DE DE'
  revision_id: 4258
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    comment: looks good, approving 25%
    created: '2024-04-16T13:17:34.271930Z'
    creator:
      email: jstermac@mozilla.com
      first_name: Jon
      id: 66
      last_name: Stermac
    id: 3077
  approved_revision_id: 4257
  arguments:
    engagementButtonLabel: Remplir le questionnaire
    includeTelemetryUUID: true
    learnMoreMessage: Pour en savoir plus
    learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
    message: Aidez-nous à améliorer Firefox en remplissant ce court questionnaire
    postAnswerUrl: https://qsurvey.mozilla.com/s3/nus-fr-fr
    repeatOption: once
    surveyId: new-user-survey-fr-fr
    thanksMessage: Merci
  capabilities:
  - action.show-heartbeat
  - jexl.transform.bucketSample
  enabled: true
  filter_expression: '(normandy.channel in ["release"]) && (normandy.country in ["FR"])
    && (normandy.locale in ["fr"]) && (["new-user-survey-q1-2024",normandy.userId]|bucketSample(0,2500,10000))
    && (!normandy.firstRun

    && !normandy.telemetry.main)'
  id: 1391
  identicon_seed: v1:mudjtZmeQBDS
  is_approved: true
  last_updated: '2024-04-16T16:10:25.166154Z'
  latest_revision_id: 4257
  name: 'HB: New User Entry Survey - FR FR'
  revision_id: 4257
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    comment: looks good, approving 25%
    created: '2024-04-16T13:17:21.382159Z'
    creator:
      email: jstermac@mozilla.com
      first_name: Jon
      id: 66
      last_name: Stermac
    id: 3076
  approved_revision_id: 4256
  arguments:
    engagementButtonLabel: Take survey
    includeTelemetryUUID: true
    learnMoreMessage: Learn more
    learnMoreUrl: https://wiki.mozilla.org/Firefox/Shield/Heartbeat
    message: Please help make Firefox better by taking this short survey
    postAnswerUrl: https://qsurvey.mozilla.com/s3/nus-en-us
    repeatOption: once
    surveyId: new-user-survey-en-us
    thanksMessage: Thanks
  capabilities:
  - action.show-heartbeat
  - jexl.transform.bucketSample
  enabled: true
  filter_expression: '(normandy.channel in ["release"]) && (normandy.country in ["US"])
    && (normandy.locale in ["en-US"]) && (["new-user-survey-q1-2024",normandy.userId]|bucketSample(0,2500,10000))
    && (!normandy.firstRun

    && !normandy.telemetry.main)'
  id: 1389
  identicon_seed: v1:mudjtZmeQBDS
  is_approved: true
  last_updated: '2024-04-16T16:09:41.609203Z'
  latest_revision_id: 4256
  name: 'HB: New User Entry Survey - EN US'
  revision_id: 4256
- action: multi-preference-experiment
  approval_request:
    approved: true
    approver:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    comment: r+
    created: '2024-03-26T20:16:43.461550Z'
    creator:
      email: jkerim@mozilla.com
      first_name: Jared
      id: 51
      last_name: Kerim
    id: 3071
  approved_revision_id: 4249
  arguments:
    branches:
    - preferences:
        app.normandy.test-prefs.string:
          preferenceBranchType: user
          preferenceType: string
          preferenceValue: normandy-diagnostic-124
      ratio: 100
      slug: control-string
    experimentDocumentUrl: https://experimenter.services.mozilla.com/experiments/normandy-diagnostic-v124/
    isEnrollmentPaused: false
    slug: bug-1887961-pref-normandy-diagnostic-v124-release-120-120
    userFacingDescription: Diagnostic verification of pref setting
    userFacingName: Normandy Diagnostic v124
  capabilities:
  - action.multi-preference-experiment
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (["normandy-diagnostic-v124",normandy.userId]|bucketSample(0,50,10000))
    && ((env.version|versionCompare("124.!")>=0)&&(env.version|versionCompare("124.*")<0))
  id: 1388
  identicon_seed: v1:kfLcpTcNYPAx
  is_approved: true
  last_updated: '2024-03-26T20:16:55.119005Z'
  latest_revision_id: 4249
  name: Normandy Diagnostic v124
  revision_id: 4249
- action: multi-preference-experiment
  approval_request:
    approved: true
    approver:
      email: jkerim@mozilla.com
      first_name: Jared
      id: 51
      last_name: Kerim
    comment: Approved!
    created: '2023-08-17T17:03:38.153171Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2988
  approved_revision_id: 4132
  arguments:
    branches:
    - preferences:
        network.http.http3.retry_different_ip_family:
          preferenceBranchType: default
          preferenceType: boolean
          preferenceValue: false
      ratio: 100
      slug: reset-to-false
    experimentDocumentUrl: https://experimenter.services.mozilla.com/experiments/page-load-time-patch-esr/
    isEnrollmentPaused: false
    slug: bug-1849168-pref-page-load-time-patch-esr-beta-115-116
    userFacingDescription: Reverting a preference that intermittently caused long
      page load times.
    userFacingName: Page load time patch ESR
  capabilities:
  - action.multi-preference-experiment
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: ((env.version|versionCompare("115.!")>=0)&&(env.version|versionCompare("116.*")<0))
    && (["page-load-time-patch-esr",normandy.userId]|bucketSample(0,10000,10000))
    && (normandy.channel in ["esr"])
  id: 1346
  identicon_seed: v1:mWmqcnvRjerq
  is_approved: true
  last_updated: '2023-08-17T17:31:52.844525Z'
  latest_revision_id: 4132
  name: Page load time patch ESR
  revision_id: 4132
- action: multi-preference-experiment
  approval_request:
    approved: true
    approver:
      email: jkerim@mozilla.com
      first_name: Jared
      id: 51
      last_name: Kerim
    comment: Approved!
    created: '2023-08-15T20:06:36.344305Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2987
  approved_revision_id: 4130
  arguments:
    branches:
    - preferences:
        network.http.http3.retry_different_ip_family:
          preferenceBranchType: default
          preferenceType: boolean
          preferenceValue: false
      ratio: 100
      slug: reset-to-false
    experimentDocumentUrl: https://experimenter.services.mozilla.com/experiments/page-load-time-patch/
    isEnrollmentPaused: false
    slug: bug-1848748-pref-page-load-time-patch-release-116-117
    userFacingDescription: Reverting a preference that intermittently caused long
      page load times.
    userFacingName: Page load time patch
  capabilities:
  - action.multi-preference-experiment
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("116.!")>=0)&&(env.version|versionCompare("117.*")<0))
    && (["page-load-time-patch-release",normandy.userId]|bucketSample(0,10000,10000))
  id: 1345
  identicon_seed: v1:yIeqSwjrsXCL
  is_approved: true
  last_updated: '2023-08-15T21:02:11.282996Z'
  latest_revision_id: 4130
  name: Page load time patch
  revision_id: 4130
- action: multi-preference-experiment
  approval_request:
    approved: true
    approver:
      email: jkerim@mozilla.com
      first_name: Jared
      id: 51
      last_name: Kerim
    comment: Approved!
    created: '2023-08-15T20:05:08.660226Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2986
  approved_revision_id: 4129
  arguments:
    branches:
    - preferences:
        network.http.http3.retry_different_ip_family:
          preferenceBranchType: default
          preferenceType: boolean
          preferenceValue: false
      ratio: 100
      slug: reset-to-false
    experimentDocumentUrl: https://experimenter.services.mozilla.com/experiments/page-load-time-patch-beta/
    isEnrollmentPaused: false
    slug: bug-1848779-pref-page-load-time-patch-beta-beta-117-118
    userFacingDescription: Reverting a preference that intermittently caused long
      page load times.
    userFacingName: Page load time patch beta
  capabilities:
  - action.multi-preference-experiment
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["beta"]) && ((env.version|versionCompare("117.!")>=0)&&(env.version|versionCompare("118.*")<0))
    && (["page-load-time-patch-beta",normandy.userId]|bucketSample(0,10000,10000))
  id: 1343
  identicon_seed: v1:nTpCIsqiFHZV
  is_approved: true
  last_updated: '2023-08-15T21:01:56.963566Z'
  latest_revision_id: 4129
  name: Page load time patch beta
  revision_id: 4129
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:50:10.065366Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2927
  approved_revision_id: 4043
  arguments:
    engagementButtonLabel: Participa al sondaggio
    includeTelemetryUUID: true
    learnMoreMessage: Scopri di più
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Migliora Firefox partecipando a questo breve sondaggio
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023IT
    repeatOption: once
    surveyId: hb-dvs-it
    thanksMessage: Grazie
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["it"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1318
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:33:32.574270Z'
  latest_revision_id: 4043
  name: 'Heartbeat: Daily Viewpoint Survey (it)'
  revision_id: 4043
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:49:44.730496Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2926
  approved_revision_id: 4042
  arguments:
    engagementButtonLabel: 填寫問卷
    includeTelemetryUUID: true
    learnMoreMessage: 了解更多資訊
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: 請填寫這份簡短問卷，幫助 Firefox 變得更好
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023ZHTW
    repeatOption: once
    surveyId: hb-dvs-zhtw
    thanksMessage: 感謝
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["zh-TW"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1235
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:33:25.827679Z'
  latest_revision_id: 4042
  name: 'Heartbeat: Daily Viewpoint Survey (zh-TW)'
  revision_id: 4042
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:49:21.123839Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2925
  approved_revision_id: 4041
  arguments:
    engagementButtonLabel: 填写问卷
    includeTelemetryUUID: true
    learnMoreMessage: 详细了解
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: 请填写这份简短问卷，帮助我们完善 Firefox
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023ZHCN
    repeatOption: once
    surveyId: hb-dvs-zhcn
    thanksMessage: 谢谢！
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["zh-CN"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1234
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:33:04.198918Z'
  latest_revision_id: 4041
  name: 'Heartbeat: Daily Viewpoint Survey (zh-CN)'
  revision_id: 4041
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:48:57.193190Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2924
  approved_revision_id: 4040
  arguments:
    engagementButtonLabel: Пройти опрос
    includeTelemetryUUID: true
    learnMoreMessage: Подробнее
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Помогите сделать Firefox лучше, приняв участие в этом коротком опросе
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023RU
    repeatOption: once
    surveyId: hb-dvs-ru
    thanksMessage: Спасибо
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["ru"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1227
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:57.889619Z'
  latest_revision_id: 4040
  name: 'Heartbeat: Daily Viewpoint Survey (ru)'
  revision_id: 4040
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:48:34.053097Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2923
  approved_revision_id: 4039
  arguments:
    engagementButtonLabel: Responder ao inquérito
    includeTelemetryUUID: true
    learnMoreMessage: Saber mais
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Ajude a melhorar o Firefox respondendo a este breve inquérito
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023PTPT
    repeatOption: once
    surveyId: hb-dvs-ptpt
    thanksMessage: Obrigado
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["pt-PT"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1231
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:51.678790Z'
  latest_revision_id: 4039
  name: 'Heartbeat: Daily Viewpoint Survey (pt-PT)'
  revision_id: 4039
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:48:08.225992Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2922
  approved_revision_id: 4038
  arguments:
    engagementButtonLabel: Wypełnij ankietę
    includeTelemetryUUID: true
    learnMoreMessage: Dowiedz się więcej
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Pomóż nam ulepszyć Firefox, biorąc udział w tej krótkiej ankiecie
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023PL
    repeatOption: once
    surveyId: hb-dvs-pl
    thanksMessage: Dziękujemy
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["pl"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1230
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:45.092409Z'
  latest_revision_id: 4038
  name: 'Heartbeat: Daily Viewpoint Survey (pl)'
  revision_id: 4038
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:47:45.124336Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2921
  approved_revision_id: 4037
  arguments:
    engagementButtonLabel: アンケートに答える
    includeTelemetryUUID: true
    learnMoreMessage: もっと詳しく
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: 簡単なアンケートに答えて、Firefox をより良いものにするためにご協力ください
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023JA
    repeatOption: once
    surveyId: hb-dvs-ja
    thanksMessage: よろしくお願いいたします
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["ja","ja-JP-mac"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1233
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:39.394966Z'
  latest_revision_id: 4037
  name: 'Heartbeat: Daily Viewpoint Survey (ja)'
  revision_id: 4037
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:47:16.142061Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2920
  approved_revision_id: 4036
  arguments:
    engagementButtonLabel: Contestar la encuesta
    includeTelemetryUUID: true
    learnMoreMessage: Descubre más
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Ayúdenos a mejorar Firefox respondiendo esta breve encuesta
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023ESLAT
    repeatOption: once
    surveyId: hb-dvs-es
    thanksMessage: Gracias
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["es","es-MX"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1228
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:33.757735Z'
  latest_revision_id: 4036
  name: 'Heartbeat: Daily Viewpoint Survey (es)'
  revision_id: 4036
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:46:53.369348Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2919
  approved_revision_id: 4035
  arguments:
    engagementButtonLabel: Responder a la encuesta
    includeTelemetryUUID: true
    learnMoreMessage: Descubre más
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Por favor, ayúdanos a mejorar Firefox contestando esta breve encuesta
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023ESES
    repeatOption: once
    surveyId: hb-dvs-esES
    thanksMessage: Gracias
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["es-ES"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1229
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:27.982876Z'
  latest_revision_id: 4035
  name: 'Heartbeat: Daily Viewpoint Survey (es-ES)'
  revision_id: 4035
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:46:25.029503Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2918
  approved_revision_id: 4034
  arguments:
    engagementButtonLabel: Participe da pesquisa
    includeTelemetryUUID: true
    learnMoreMessage: Saiba mais
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Ajude a tornar o Firefox cada vez melhor participando desta breve pesquisa
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023PTBR
    repeatOption: once
    surveyId: hb-dvs-ptbr
    thanksMessage: Obrigado
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["pt-BR"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1232
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:20.622961Z'
  latest_revision_id: 4034
  name: 'Heartbeat: Daily Viewpoint Survey (pt-BR)'
  revision_id: 4034
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: Corrected filter expression. Looks good
    created: '2023-04-20T23:45:57.211469Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2917
  approved_revision_id: 4033
  arguments:
    engagementButtonLabel: Remplir le questionnaire
    includeTelemetryUUID: true
    learnMoreMessage: Pour en savoir plus
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Aidez-nous à améliorer Firefox en remplissant ce court questionnaire
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023FR
    repeatOption: once
    surveyId: hb-dvs-fr
    thanksMessage: Merci
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["fr"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1226
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:13.834695Z'
  latest_revision_id: 4033
  name: 'Heartbeat: Daily Viewpoint Survey (fr)'
  revision_id: 4033
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: correcting the filter expression. Looks good
    created: '2023-04-20T23:45:24.833862Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2916
  approved_revision_id: 4032
  arguments:
    engagementButtonLabel: Zur Umfrage
    includeTelemetryUUID: true
    learnMoreMessage: Mehr darüber Erfahren
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Hilf uns mit Deinem Feedback Firefox noch besser zu machen.
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023DE
    repeatOption: once
    surveyId: hb-dvs-de
    thanksMessage: Dankeschön
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["de"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1225
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-05-09T18:32:02.729293Z'
  latest_revision_id: 4032
  name: 'Heartbeat: Daily Viewpoint Survey (de)'
  revision_id: 4032
- action: show-heartbeat
  approval_request:
    approved: true
    approver:
      email: kardekani@mozilla.com
      first_name: Kamyar
      id: 11
      last_name: Ardekani
    comment: corrected the rolling recipe formula. Looks good to me
    created: '2023-04-20T22:39:46.684625Z'
    creator:
      email: eshallal@mozilla.com
      first_name: El
      id: 67
      last_name: Shallal
    id: 2915
  approved_revision_id: 4031
  arguments:
    engagementButtonLabel: Take survey
    includeTelemetryUUID: true
    learnMoreMessage: Learn more
    learnMoreUrl: https://support.mozilla.org/kb/rate-your-firefox-experience-heartbeat
    message: Please help make Firefox better by taking this short survey
    postAnswerUrl: https://qsurvey.mozilla.com/s3/vp2023EN
    repeatOption: once
    surveyId: hb-dvs-en
    thanksMessage: Thanks
  capabilities:
  - action.show-heartbeat
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && (normandy.locale in ["en-AU","en-GB","en-CA","en-NZ","en-ZA","en-US"])
    && (['rolling-viewpoint', normandy.userId]|bucketSample(19468 + normandy.request_time
    / (24*60*60*1000) + 7, 7, 7000))
  id: 1236
  identicon_seed: v1:6h7o9888awh
  is_approved: true
  last_updated: '2023-04-20T22:47:15.992368Z'
  latest_revision_id: 4031
  name: 'Heartbeat: Daily Viewpoint Survey (en)'
  revision_id: 4031
- action: multi-preference-experiment
  approval_request:
    approved: true
    approver:
      email: najiang@mozilla.com
      first_name: Nan
      id: 45
      last_name: Jiang
    comment: r+
    created: '2023-04-18T18:47:48.812042Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2898
  approved_revision_id: 4014
  arguments:
    branches:
    - preferences:
        dom.quotaManager.backgroundTask.enabled:
          preferenceBranchType: default
          preferenceType: boolean
          preferenceValue: false
      ratio: 100
      slug: disabled
    experimentDocumentUrl: https://experimenter.services.mozilla.com/experiments/disable-background-task-on-macos/
    isEnrollmentPaused: false
    slug: bug-1828180-pref-disable-background-task-on-macos-release-112-112
    userFacingDescription: This prevents the shutdown cleanup process from triggering
      background task.
    userFacingName: Disable background task on macOS
  capabilities:
  - action.multi-preference-experiment
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("112.!")>=0)&&(env.version|versionCompare("112.*")<0))
    && (["disable-background-task-on-macos",normandy.userId]|bucketSample(0,10000,10000))
  id: 1316
  identicon_seed: v1:KWBuXPzNCeiM
  is_approved: true
  last_updated: '2023-04-18T18:51:21.161354Z'
  latest_revision_id: 4014
  name: Disable background task on macOS
  revision_id: 4014
- action: preference-rollback
  approval_request:
    approved: true
    approver:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    comment: r+
    created: '2023-03-15T20:56:34.931502Z'
    creator:
      email: jkerim@mozilla.com
      first_name: Jared
      id: 51
      last_name: Kerim
    id: 2831
  approved_revision_id: 3934
  arguments:
    rolloutSlug: bug-1821419-rollout-tweetdeck-web-compatibility-2-release-110-110
  capabilities:
  - action.preference-rollback
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (["tweetdeck-web-compat",normandy.userId]|bucketSample(0,10000,10000))
    && ((((env.version|versionCompare("111.!")>=0)&&(env.version|versionCompare("116.*")<0)&&normandy.channel
    in ["release"])||((env.version|versionCompare("102.9")>=0)&&(env.version|versionCompare("115.6")<0)&&normandy.channel
    in ["esr"])))
  id: 1266
  identicon_seed: v1:pBFEdbFmeCei
  is_approved: true
  last_updated: '2023-03-15T20:57:16.806549Z'
  latest_revision_id: 3934
  name: Tweetdeck web compatibility 2 Rollback
  revision_id: 3934
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: najiang@mozilla.com
      first_name: Nan
      id: 45
      last_name: Jiang
    comment: r+
    created: '2023-01-03T19:27:00.841588Z'
    creator:
      email: edonowitz@mozilla.com
      first_name: Ethan
      id: 63
      last_name: Donowitz
    id: 2804
  approved_revision_id: 3899
  arguments:
    preferences:
    - preferenceName: security.remote_settings.crlite_filters.enabled
      value: true
    slug: bug-1796197-rollout-crlite-release-107-108
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("107.!")>=0)&&(env.version|versionCompare("108.*")<0))
    && (["crlite-staged-rollout",normandy.userId]|bucketSample(0,100,10000))
  id: 1248
  identicon_seed: v1:WXEbFVmxsdPm
  is_approved: true
  last_updated: '2023-01-03T19:44:51.571808Z'
  latest_revision_id: 3899
  name: CRLite
  revision_id: 3899
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: najiang@mozilla.com
      first_name: Nan
      id: 45
      last_name: Jiang
    comment: r+
    created: '2022-11-25T15:29:38.817693Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2796
  approved_revision_id: 3888
  arguments:
    preferences:
    - preferenceName: extensions.webcompat.disabled_shims.AdvertisingDotCom
      value: true
    slug: bug-1802286-rollout-fix-webcompat-shim-breakage-release-103-107
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("103.!")>=0)&&(env.version|versionCompare("107.*")<0))
    && (["webcompat-shim-rollout-release",normandy.userId]|bucketSample(0,10000,10000))
  id: 1246
  identicon_seed: v1:BcBUqZKXjtwL
  is_approved: true
  last_updated: '2022-11-25T15:35:56.206789Z'
  latest_revision_id: 3888
  name: Fix webcompat shim breakage
  revision_id: 3888
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: najiang@mozilla.com
      first_name: Nan
      id: 45
      last_name: Jiang
    comment: r+
    created: '2022-04-04T19:01:52.183741Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2738
  approved_revision_id: 3822
  arguments:
    preferences:
    - preferenceName: doh-rollout.ru.enabled
      value: true
    slug: bug-1758988-rollout-doh-enablment-to-new-countries-staggered-st-release-98-100
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.context.normandy.appinfo
  - jexl.transform.bucketSample
  - jexl.transform.preferenceValue
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (((normandy.channel in ["release"]&&["doh-russia",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("91.!")>=0)&&(env.version|versionCompare("101.*")<0))||(normandy.channel
    in ["beta"]&&["doh-russia",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("99.0b4")>=0)&&(env.version|versionCompare("101.*")<0))||(normandy.channel
    in ["nightly"]&&["doh-russia",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("100.!")>=0)&&(env.version|versionCompare("101.*")<0)&&(normandy.appinfo.appBuildID
    >= '20220315091352')))) && ('doh-rollout.home-region'|preferenceValue == "RU")
    && ('services.settings.main.doh-config.last_check'|preferenceValue > 1633867200)
  id: 1208
  identicon_seed: v1:sLVpIsPbuydK
  is_approved: true
  last_updated: '2022-04-04T19:06:17.200960Z'
  latest_revision_id: 3822
  name: DoH enablment to new countries - staggered start for Nightly, Beta, and Release
    V3
  revision_id: 3822
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: najiang@mozilla.com
      first_name: Nan
      id: 45
      last_name: Jiang
    comment: r+
    created: '2022-04-04T19:02:06.852029Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2739
  approved_revision_id: 3821
  arguments:
    preferences:
    - preferenceName: doh-rollout.ua.enabled
      value: true
    slug: bug-1758818-rollout-enabling-doh-in-new-countries-staggered-sta-release-98-100
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.context.normandy.appinfo
  - jexl.transform.bucketSample
  - jexl.transform.preferenceValue
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (((normandy.channel in ["release"]&&["doh-east-eu",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("91.!")>=0)&&(env.version|versionCompare("101.*")<0))||(normandy.channel
    in ["beta"]&&["doh-east-eu",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("99.0b4")>=0)&&(env.version|versionCompare("101.*")<0))||(normandy.channel
    in ["nightly"]&&["doh-east-eu",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("100.!")>=0)&&(env.version|versionCompare("101.*")<0)&&(normandy.appinfo.appBuildID
    >= '20220315091352')))) && ('doh-rollout.home-region'|preferenceValue == "UA")
    && ('services.settings.main.doh-config.last_check'|preferenceValue > 1633867200)
  id: 1207
  identicon_seed: v1:XFSJaDIINhdX
  is_approved: true
  last_updated: '2022-04-04T19:05:31.756496Z'
  latest_revision_id: 3821
  name: Enabling DoH in new countries - staggered start for Nightly, Beta, Release
    V2
  revision_id: 3821
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    comment: r+ to max beta version update to 99.0b
    created: '2022-03-18T15:47:44.916780Z'
    creator:
      email: edonowitz@mozilla.com
      first_name: Ethan
      id: 63
      last_name: Donowitz
    id: 2721
  approved_revision_id: 3795
  arguments:
    preferences:
    - preferenceName: doh-rollout.ca.provider-steering.enabled
      value: true
    - preferenceName: doh-rollout.ca.provider-steering.provider-list
      value: '[{ "id": "shaw-ca", "canonicalName": "dns.shaw.ca", "uri": "https://dns.shaw.ca/dns-query"}]'
    slug: bug-1750601-rollout-doh-steering-in-canada-staggered-starting-for-release-97-98
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.preferenceValue
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: ('doh-rollout.home-region'|preferenceValue == "CA") && ('services.settings.main.doh-config.last_check'|preferenceValue
    > 1633867200) && (((normandy.channel in ["release"]&&["doh-steering-canada",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("97.!")>=0)&&(env.version|versionCompare("98.*")<0))||(normandy.channel
    in ["beta"]&&["doh-steering-canada",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("97.!")>=0)&&(env.version|versionCompare("99.05b")<0))||(normandy.channel
    in ["nightly"]&&["doh-steering-canada",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("98.!")>=0)&&(env.version|versionCompare("99.*")<0))))
  id: 1197
  identicon_seed: v1:PvUTicOcHkLP
  is_approved: true
  last_updated: '2022-03-18T16:27:27.359579Z'
  latest_revision_id: 3795
  name: DoH steering in Canada Staggered starting for Nightly, Beta, and Release
  revision_id: 3795
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    comment: r+ to 100% increase release
    created: '2022-03-18T15:44:34.884179Z'
    creator:
      email: edonowitz@mozilla.com
      first_name: Ethan
      id: 63
      last_name: Donowitz
    id: 2720
  approved_revision_id: 3794
  arguments:
    preferences:
    - preferenceName: network.cookie.cookieBehavior
      value: 5
    slug: bug-1759000-rollout-initial-rollout-of-tcp-release-91-99
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.country in ["RU","UA"]) && (((normandy.channel in ["release"]&&["tcp-east-eu-rollout",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("91.!")>=0)&&(env.version|versionCompare("120.*")<0))||(normandy.channel
    in ["beta"]&&["tcp-east-eu-rollout",normandy.userId]|bucketSample(0,10000,10000)&&(env.version|versionCompare("99.!")>=0)&&(env.version|versionCompare("120.*")<0))))
  id: 1209
  identicon_seed: v1:xYFoJBXaPNje
  is_approved: true
  last_updated: '2022-03-18T16:25:35.562415Z'
  latest_revision_id: 3794
  name: Initial rollout of TCP
  revision_id: 3794
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: edonowitz@mozilla.com
      first_name: Ethan
      id: 63
      last_name: Donowitz
    comment: r+ doh-rollout.home-region = CA, services.settings.main.doh-config.last_check
      > 1625820428, Nightly, 92.0 to 99.0
    created: '2021-07-12T21:48:28.715184Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2587
  approved_revision_id: 3647
  arguments:
    preferences:
    - preferenceName: doh-rollout.ca.enabled
      value: true
    slug: bug-1719588-rollout-doh-canada-rollout-nightly-nightly-92-99
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.preferenceValue
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["nightly"]) && ((env.version|versionCompare("92.!")>=0)&&(env.version|versionCompare("99.*")<0))
    && ([normandy.userId,"doh-can-rollout"]|bucketSample(0,10000,10000)) && ('doh-rollout.home-region'|preferenceValue
    == "CA") && ('services.settings.main.doh-config.last_check'|preferenceValue >
    1625820428)
  id: 1161
  identicon_seed: v1:CyEpadmJkYTk
  is_approved: true
  last_updated: '2021-07-13T19:19:37.977222Z'
  latest_revision_id: 3647
  name: DoH Canada Rollout - Nightly
  revision_id: 3647
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    comment: r+ to 100%
    created: '2021-06-01T18:50:34.857862Z'
    creator:
      email: edonowitz@mozilla.com
      first_name: Ethan
      id: 63
      last_name: Donowitz
    id: 2569
  approved_revision_id: 3629
  arguments:
    preferences:
    - preferenceName: network.http.http3.enabled
      value: true
    - preferenceName: network.http.http3.enable_0rtt
      value: false
    slug: bug-1703186-rollout-http3-support-release-88-89
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("88.!")>=0)&&(env.version|versionCompare("89.*")<0))
    && (["http3-support-rollout",normandy.userId]|bucketSample(0,10000,10000))
  id: 1147
  identicon_seed: v1:jIzpfjEJuMaa
  is_approved: true
  last_updated: '2021-06-01T19:02:48.690034Z'
  latest_revision_id: 3629
  name: HTTP/3 Support
  revision_id: 3629
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    comment: r+
    created: '2021-04-20T18:45:51.509305Z'
    creator:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    id: 2539
  approved_revision_id: 3589
  arguments:
    preferences:
    - preferenceName: doh-rollout.enabled
      value: true
    - preferenceName: doh-rollout.profileCreationThreshold
      value: '1896163212345'
    slug: rollout-doh-us-staged-rollout-to-all-us-desktop-users-release-73-77-bug-1586331
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.country in ["US"]) && (normandy.channel in ["release"])
    && (["doh-rollout",normandy.userId]|bucketSample(0,9900,10000)) && ((env.version|versionCompare("76.!")>=0)&&(env.version|versionCompare("91.*")<0))
  id: 917
  identicon_seed: v1:i21smq12ars
  is_approved: true
  last_updated: '2021-04-20T18:53:18.777871Z'
  latest_revision_id: 3589
  name: DoH US Staged Rollout to All US Desktop Users
  revision_id: 3589
- action: preference-rollback
  approval_request:
    approved: true
    approver:
      email: rdalal@mozilla.com
      first_name: Rehan
      id: 14
      last_name: Dalal
    comment: r+
    created: '2020-11-05T20:34:28.318361Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 2374
  approved_revision_id: 3410
  arguments:
    rolloutSlug: bug-1653900-rollout-tracker-cookie-purging-release-79-82
  capabilities:
  - action.preference-rollback
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (env.version|versionCompare("79.!")>=0)&&(env.version|versionCompare("84.*")<0)
  id: 1080
  identicon_seed: v1:jUZOhjbFSjyp
  is_approved: true
  last_updated: '2020-11-05T20:36:41.858360Z'
  latest_revision_id: 3410
  name: Rollback Tracker Cookie Purging (1025)
  revision_id: 3410
- action: preference-rollback
  approval_request:
    approved: true
    approver:
      email: rdalal@mozilla.com
      first_name: Rehan
      id: 14
      last_name: Dalal
    comment: r+
    created: '2020-10-27T16:12:19.373560Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 2355
  approved_revision_id: 3388
  arguments:
    rolloutSlug: bug-1622091-rollout-beta-rollout-of-samesite-lax-change-beta-79-81
  capabilities:
  - action.preference-rollback
  enabled: true
  filter_expression: normandy.channel in ["beta"]
  id: 1072
  identicon_seed: v1:fTwIGpAZIdAQ
  is_approved: true
  last_updated: '2020-10-27T16:27:40.440126Z'
  latest_revision_id: 3388
  name: Rollback SameSite lax change (1006)
  revision_id: 3388
- action: preference-rollback
  approval_request:
    approved: true
    approver:
      email: ttran@mozilla.com
      first_name: Tiffany
      id: 60
      last_name: Tran
    comment: r + to rollback
    created: '2020-07-14T16:53:15.596253Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 2206
  approved_revision_id: 3221
  arguments:
    rolloutSlug: bug-1630682-rollout-blocklist-v3-beta-rollout-beta-78-78
  capabilities:
  - action.preference-rollback
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["beta"]) && ((env.version|versionCompare("78.!")>=0)&&(env.version|versionCompare("78.*")<0))
    && ([normandy.userId,"blocklist-v3-beta"]|bucketSample(0,2500,10000))
  id: 1014
  identicon_seed: v1:AMIUBBymvLIY
  is_approved: true
  last_updated: '2020-07-14T18:35:15.355867Z'
  latest_revision_id: 3221
  name: Blocklist v3 (Beta Rollback)
  revision_id: 3221
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: rdalal@mozilla.com
      first_name: Rehan
      id: 14
      last_name: Dalal
    comment: r+
    created: '2020-03-16T18:52:36.470889Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 2014
  approved_revision_id: 2962
  arguments:
    preferences:
    - preferenceName: browser.contentblocking.report.show_mobile_app
      value: true
    slug: pref-protection-report-mobile-callout-release-75-80-bug-1619447
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["beta","release"]) && ((env.version|versionCompare("75.!")>=0)&&(env.version|versionCompare("80.*")<0))
    && (normandy.recipe.arguments.slug in "app.normandy.testing-for-recipe"|preferenceValue)
  id: 918
  identicon_seed: v1:bo8ugb9sqv9
  is_approved: true
  last_updated: '2020-03-16T18:57:14.482376Z'
  latest_revision_id: 2962
  name: Protection Report Mobile Callout
  revision_id: 2962
- action: preference-rollout
  approval_request: null
  approved_revision_id: 2717
  arguments:
    preferences:
    - preferenceName: browser.newtabpage.activity-stream.discoverystream.enabled
      value: true
    slug: pref-rollout-activity-stream-pkt-new-tab-release69-layout-1577008
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.locale in ["en-US"]) && (normandy.country in ["US"])
    && (normandy.channel in ["release"]) && ((env.version|versionCompare("69.!")>=0)&&(env.version|versionCompare("69.*")<0))
    && ([729,normandy.userId]|bucketSample(639,940,1000))
  id: 839
  identicon_seed: v1:by0w20vspg7
  is_approved: true
  last_updated: '2019-09-12T17:06:32.922254Z'
  latest_revision_id: 2948
  name: pref-rollout-activity-stream-pkt-new-tab-release69-layout-1577008
  revision_id: 2717
- action: branched-addon-study
  approval_request:
    approved: true
    approver:
      email: tismith@mozilla.com
      first_name: Tim
      id: 58
      last_name: Smith
    comment: r+
    created: '2019-12-16T21:03:38.726211Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1941
  approved_revision_id: 2879
  arguments:
    branches:
    - extensionApiId: 105
      ratio: 1
      slug: helper
    isEnrollmentPaused: false
    slug: pref-doh-us-engagement-study-v2-helper-1590831
    userFacingDescription: Helps maintain the integrity of the DNS over HTTPS Rollout
    userFacingName: DNS over HTTPS US Rollout
  capabilities:
  - action.branched-addon-study
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: "(normandy.locale in [\"en-GB\",\"en-CA\",\"en-US\"]) && (normandy.channel\
    \ in [\"release\"]) && ((env.version|versionCompare(\"70.!\")>=0)&&(env.version|versionCompare(\"\
    71.*\")<0)) && ([\"doh-rollout\",normandy.userId]|bucketSample(0,200,10000)) &&\
    \ ((\n    \"browser.search.region\"|preferenceValue == \"US\"\n    && normandy.os.isWindows\n\
    \    && \"devtools.policy.disabled\"|preferenceValue != true\n    && \"datareporting.policy.dataSubmissionEnabled\"\
    |preferenceValue != false\n    && \"identity.fxaccounts.enabled\"|preferenceValue\
    \ != false\n)\n|| normandy.addons[\"doh-rollout@mozilla.org\"].isActive\n|| \"\
    doh-rollout.enabled\"|preferenceValue)"
  id: 875
  identicon_seed: v1:xz70cvkfueg
  is_approved: true
  last_updated: '2019-12-16T21:07:02.104119Z'
  latest_revision_id: 2879
  name: DoH US Engagement Study V2 - Add-on helper
  revision_id: 2879
- action: preference-rollout
  approval_request:
    approved: true
    approver:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    comment: Mythmon mentioned telemtry noise as the reason why we'd want to limit
      this from 67-69 to 67-68
    created: '2019-09-03T17:38:39.927967Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1797
  approved_revision_id: 2698
  arguments:
    preferences:
    - preferenceName: network.cookie.cookieBehavior
      value: 4
    slug: rollout-etp-new-users-trailhead-1547192
  capabilities:
  - action.preference-rollout
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("67.!")>=0)&&(env.version|versionCompare("68.*")<0))
    && (["trailhead",normandy.userId]|bucketSample(0,1000,1000)) && ((!normandy.telemetry.main
    || normandy.telemetry.main.environment.profile.creationDate > 18044))
  id: 786
  identicon_seed: v1:purfwbj9cm
  is_approved: true
  last_updated: '2019-09-03T19:01:29.798689Z'
  latest_revision_id: 2698
  name: 'Preference Rollout: [Trailhead] ETP to new users [Bug 1547192]'
  revision_id: 2698
- action: preference-experiment
  approval_request:
    approved: true
    approver:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    comment: pausing
    created: '2019-06-04T16:36:51.469788Z'
    creator:
      email: jgaunt@mozilla.com
      first_name: Josh
      id: 6
      last_name: Gaunt
    id: 1678
  approved_revision_id: 2566
  arguments:
    branches:
    - ratio: 1
      slug: test
      value: '{"id":"cfr","enabled":true,"type":"local","cohort":"Test","localProvider":"CFRMessageProvider","frequency":{"custom":[{"period":"daily","cap":1}]},"categories":["cfrAddons","cfrFeatures"]}'
    experimentDocumentUrl: https://experimenter.services.mozilla.com/experiments/activity-stream-contextual-feature-recommender-pinned-tabs/
    isEnrollmentPaused: true
    isHighVolume: false
    preferenceBranchType: user
    preferenceName: browser.newtabpage.activity-stream.asrouter.providers.cfr
    preferenceType: string
    slug: activity-stream-cfr-pinned-tabs-treatment-1536650
  capabilities:
  - action.preference-experiment
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.bucketSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.locale in ["en-US"]) && (normandy.channel in ["release"])
    && ((env.version|versionCompare("67.!")>=0)&&(env.version|versionCompare("67.*")<0))
    && (["global-v1",normandy.userId]|bucketSample(35,35,10000))
  id: 767
  identicon_seed: v1:uwtm3qxovm
  is_approved: true
  last_updated: '2019-06-04T17:28:22.477341Z'
  latest_revision_id: 2566
  name: 'Pref-Flip Study: Activity Stream CFR Pinned Tabs - Treatment [Bug 1536650]'
  revision_id: 2566
- action: preference-experiment
  approval_request:
    approved: true
    approver:
      email: bwong@mozilla.com
      first_name: Benson
      id: 38
      last_name: Wong
    comment: removal of QA pref
    created: '2019-03-21T22:31:06.749571Z'
    creator:
      email: rdalal@mozilla.com
      first_name: Rehan
      id: 14
      last_name: Dalal
    id: 1498
  approved_revision_id: 2336
  arguments:
    branches:
    - ratio: 1
      slug: default
      value: powerpoint.officeapps.live.com
    experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1536453
    isEnrollmentPaused: false
    isHighVolume: true
    preferenceBranchType: default
    preferenceName: dom.keyboardevent.keypress.hack.use_legacy_keycode_and_charcode
    preferenceType: string
    slug: hotfix-office365-legacy-keycode-and-charcode
  capabilities:
  - action.preference-experiment
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("66.!")>=0)&&(env.version|versionCompare("66.*")<0))
    && (normandy.version < "66.0.2")
  id: 721
  identicon_seed: v1:gx557ngwoe
  is_approved: true
  last_updated: '2019-03-21T22:37:27.948324Z'
  latest_revision_id: 2336
  name: 'Hotfix: Office 365 Legacy Keycode And Charcode'
  revision_id: 2336
- action: preference-experiment
  approval_request:
    approved: true
    approver:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    comment: 25% rollout went smooth, let's go 100%
    created: '2019-02-21T22:44:44.866011Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1403
  approved_revision_id: 2205
  arguments:
    branches:
    - ratio: 1
      slug: rollout
      value: true
    experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1527748
    isEnrollmentPaused: false
    isHighVolume: true
    preferenceBranchType: default
    preferenceName: geo.provider.use_gpsd
    preferenceType: boolean
    slug: pref-rollout-geolocation-os-api-lte-60-linux-1527748
  capabilities:
  - action.preference-experiment
  - jexl.transform.stableSample
  enabled: true
  filter_expression: '([normandy.recipe.id,normandy.userId]|stableSample(1)) && (normandy.telemetry.main.environment.system.os.name
    == "Linux"

    && normandy.version < "61.")'
  id: 691
  identicon_seed: v1:x18es9ncjs
  is_approved: true
  last_updated: '2019-02-21T23:02:52.370002Z'
  latest_revision_id: 2205
  name: 'Pref Flip: Geolocation OS API for <=60, Linux [bug 1527748]'
  revision_id: 2205
- action: preference-experiment
  approval_request:
    approved: true
    approver:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    comment: 25% rollout went smooth, let's go 100%
    created: '2019-02-21T22:45:34.135650Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1406
  approved_revision_id: 2208
  arguments:
    branches:
    - ratio: 1
      slug: rollout
      value: true
    experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1527748
    isEnrollmentPaused: false
    isHighVolume: true
    preferenceBranchType: default
    preferenceName: geo.provider.use_corelocation
    preferenceType: boolean
    slug: pref-rollout-geolocation-os-api-lte-60-mac-1527748
  capabilities:
  - action.preference-experiment
  - jexl.transform.stableSample
  enabled: true
  filter_expression: '([normandy.recipe.id,normandy.userId]|stableSample(1)) && (normandy.telemetry.main.environment.system.os.name
    == "Darwin"

    && normandy.version < "61.")'
  id: 690
  identicon_seed: v1:6hxflusv3ag
  is_approved: true
  last_updated: '2019-02-21T23:02:44.068269Z'
  latest_revision_id: 2208
  name: 'Pref Flip: Geolocation OS API for <=60, Mac [bug 1527748]'
  revision_id: 2208
- action: preference-experiment
  approval_request:
    approved: true
    approver:
      email: rkothari@mozilla.com
      first_name: Ritu
      id: 40
      last_name: Kothari
    comment: 25% rollout went smooth, let's go 100%
    created: '2019-02-21T22:45:30.581705Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1405
  approved_revision_id: 2207
  arguments:
    branches:
    - ratio: 1
      slug: rollout
      value: true
    experimentDocumentUrl: https://bugzilla.mozilla.org/show_bug.cgi?id=1527748
    isEnrollmentPaused: false
    isHighVolume: true
    preferenceBranchType: default
    preferenceName: geo.provider.ms-windows-location
    preferenceType: boolean
    slug: pref-rollout-geolocation-os-api-lte-60-windows-1527748
  capabilities:
  - action.preference-experiment
  - jexl.transform.stableSample
  enabled: true
  filter_expression: '([normandy.recipe.id,normandy.userId]|stableSample(1)) && (normandy.telemetry.main.environment.system.os.name
    == "Windows_NT"

    && normandy.version < "61.")'
  id: 689
  identicon_seed: v1:d49kxytf4xr
  is_approved: true
  last_updated: '2019-02-21T23:02:36.985523Z'
  latest_revision_id: 2207
  name: 'Pref Flip: Geolocation OS API for <=60, Windows [bug 1527748]'
  revision_id: 2207
- action: preference-rollback
  approval_request:
    approved: true
    approver:
      email: jcristau@mozilla.com
      first_name: Julien
      id: 30
      last_name: Cristau
    comment: rolling back per https://bugzilla.mozilla.org/show_bug.cgi?id=1512212#c15
    created: '2018-12-20T21:00:36.552032Z'
    creator:
      email: mcooper@mozilla.com
      first_name: Michael
      id: 1
      last_name: Cooper
    id: 1335
  approved_revision_id: 2105
  arguments:
    rolloutSlug: pref-rollout-activity-stream-cfr-64-release-1512212
  capabilities:
  - action.preference-rollback
  - capabilities-v1
  - jexl.context.env.version
  - jexl.transform.stableSample
  - jexl.transform.versionCompare
  enabled: true
  filter_expression: (normandy.channel in ["release"]) && ((env.version|versionCompare("64.!")>=0)&&(env.version|versionCompare("64.*")<0))
    && ([660,normandy.userId]|stableSample(0.01))
  id: 661
  identicon_seed: v1:wk7ds6t77bl
  is_approved: true
  last_updated: '2018-12-20T21:44:09.874116Z'
  latest_revision_id: 2105
  name: 'Pref Rollback: CFR Addon Recommendation in 64 Release [Bug 1512212]'
  revision_id: 2105
- action: opt-out-study
  approval_request:
    approved: true
    approver:
      email: jgaunt@mozilla.com
      first_name: Josh
      id: 6
      last_name: Gaunt
    comment: pause approval
    created: '2018-07-31T20:58:05.066263Z'
    creator:
      email: mgrimes@mozilla.com
      first_name: Matthew
      id: 3
      last_name: Grimes
    id: 967
  approved_revision_id: 1652
  arguments:
    addonUrl: https://net-mozaws-prod-us-west-2-normandy.s3.amazonaws.com/extensions/pioneer-enrollment-study%40mozilla.org-2.0.4-signed.xpi
    description: 'Add-on to prompt about enrolling in pioneer: https://support.mozilla.org/en-US/kb/about-firefox-pioneer


      This add-on will auto-uninstall if you decline to participate.'
    extensionApiId: 31
    isEnrollmentPaused: true
    name: Pioneer Enrollment
  capabilities:
  - action.opt-out-study
  enabled: true
  filter_expression: "(\n    (\n        (\n            normandy.country == 'US'\n\
    \            && [normandy.userId]|bucketSample((normandy.request_time // (7*24*60*60*1000)),\
    \ 1, 500)\n        ) || (\n            normandy.locale in ['en-US', 'en-AU', 'en-CA',\
    \ 'en-GB', 'en-NZ', 'en-ZA'] \n            && [normandy.userId]|bucketSample((normandy.request_time\
    \ // (7*24*60*60*1000)), 1, 100)\n        )\n    )  \n    && !normandy.isFirstRun\n\
    \    && normandy.version >=  '57.0'\n    && normandy.channel == 'release'\n)"
  id: 259
  identicon_seed: v1:259
  is_approved: true
  last_updated: '2018-07-31T20:58:50.635184Z'
  latest_revision_id: 1652
  name: Opt-out - Pioneer Enrollment Study (Bug 1382761)
  revision_id: 1652
